package com.lantone.common.service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 字典及医院个性化配置信息获取工具类
 * @author: rengb
 * @time: 2022/4/11 11:47
 */
public interface DictSetsService {

    /**
     * 根据返回类型及多个分组获取多组字典集
     *
     * @param returnType 返回类型
     * @param groupTypes 分组集合
     * @return
     */
    Map<String, Map<String, String>> getDicMap(String returnType, List<String> groupTypes);

    /**
     * 根据返回类型及单个分组获取一组字典集
     *
     * @param returnType 返回类型
     * @param groupType  分组集合
     * @return
     */
    Map<String, String> getOneDicMap(String returnType, String groupType);

    /**
     * 获取某医院code的内容
     *
     * @param hospitalId 医院id
     * @param code       分组集合
     * @return
     */
    Map<String, String> getHospitalCodeMap(String hospitalId, String code);

}