package com.lantone.daqe.client;

import com.lantone.common.api.CommonResult;
import com.lantone.common.vo.BlockLossTypeGatherVO;
import com.lantone.common.vo.DataCompareVO;
import com.lantone.daqe.dto.HisMedicalRecordDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description: his数据获取服务远程调用
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@FeignClient("trans-center")
public interface HisDataService {

    //数据比对-获取某个入院时间段内的病历数
    @PostMapping("/balance/data/getDataCount")
    CommonResult<List<HisMedicalRecordDTO>> getDataCount(@RequestBody DataCompareVO dataCompareVO);

    //数据比对-获取某个入院时间段内的病历数量
    @PostMapping("/balance/data/getCount")
    CommonResult<Integer> getCount(@RequestBody BlockLossTypeGatherVO blockLossTypeGatherVO);

}