package com.lantone.daqe.client;

import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.GetOperationLogDTO;
import com.lantone.common.vo.BlockLossTypeGatherVO;
import com.lantone.common.vo.DataCompareVO;
import io.swagger.models.auth.In;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description: 操作日志服务远程调用
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@FeignClient("security-center")
public interface OperationLogService {

    @PostMapping("/logManage/getOperationLogs")
    CommonResult<List<GetOperationLogDTO>> getOperationLogs(@RequestBody DataCompareVO dataCompareVO);

    @PostMapping("/logManage/getOperationLogNum")
    CommonResult<Integer> getOperationLogNum(@RequestBody BlockLossTypeGatherVO blockLossTypeGatherVO);

}