package com.lantone.daqe.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 医院手术标准词匹配信息导入出错-接口出参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "医院手术标准词匹配信息导入出错-接口出参")
@Getter
@Setter
public class ExportImportOperationDTO implements Serializable {

    private static final long serialVersionUID = -8732549646556137033L;

    @Excel(name = "医院手术/操作名称")
    private String name;

    @Excel(name = "手术和操作代码")
    private String code;

    @Excel(name = "标准手术/操作名称")
    private String standard;

    @Excel(name = "是否匹配【未匹配、已匹配】")
    private String isMapping;

    @Excel(name = "数据来源【不填、标准词、同义词、编码、历史数据、相似词】")
    private String synonym;

    @Excel(name = "标准术语状态")
    private String status;

    @Excel(name = "错误提示" , width = 40)
    private String errMsg;
}