package com.lantone.daqe.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取字段校验问题明细数据-接口出参
 * @author： zhanghang
 * @time: 2022/3/8 14:48
 */
@ApiModel(value = "获取字段校验问题明细数据-接口出参")
@Getter
@Setter
public class GetColumnResultPageDTO implements Serializable {

    private static final long serialVersionUID = -1792570403179263964L;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "表的列信息ID")
    private Long columnId;

    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "文书编号")
    private String hosptialDatatmpCode;

    @ApiModelProperty(value = "文书标题")
    private String hosptialDatatmpName;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "表名称（中文）")
    private String tableCname;

    @ApiModelProperty(value = "表名称（英文）")
    private String tableEname;

    @ApiModelProperty(value = "字段名称（中文）")
    private String columnCname;

    @ApiModelProperty(value = "字段名称（英文）")
    private String columnEname;

    @ApiModelProperty(value = "表字段的值")
    private String tableVal;

    @ApiModelProperty(value = "备注描述")
    private String description;

    @ApiModelProperty(value = "字段问题类型,1-数据缺失，2-非标准值，3-正则校验失败")
    private String type;

    @ApiModelProperty(value = "入院日期")
    private Date behospitalDate;

    @ApiModelProperty(value = "最近一次机器比对时间")
    private Date solveTime;

    @ApiModelProperty(value = "是否已解决,0:未解决，1:已解决")
    private String isSolved;

    @ApiModelProperty(value = "是否通过了人工核查,0:未通过，1:已通过")
    private String isAudited;

    @ApiModelProperty(value = "最近一次人工核查时间")
    private Date auditTime;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;
}
