package com.lantone.daqe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院职位职称信息表 实体类
 * </p>
 */
@Data
@TableName("hos_official_capacity")
public class OfficialCapacity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 组织机构ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 职务/职称名称
     */
    @TableField("name")
    private String name;

    /**
     * 类型:0:未知，1:职务，2职称
     */
    @TableField("type")
    private String type;

    /**
     * 职位/职称变更时间
     */
    @TableField("change_time")
    private Date changeTime;

    /**
     * 医生代码
     */
    @TableField("doctor_code")
    private String doctorCode;

    /**
     * 医生名称
     */
    @TableField("doctor_name")
    private String doctorName;

    /**
     * 科室名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}