package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 新增诊断-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "新增诊断-接口入参")
@Getter
@Setter
public class AddDiseaseVO implements Serializable {

    private static final long serialVersionUID = -345554179620072672L;

    @ApiModelProperty(value = "组织机构ID", required = true)
    @NotNull(message = "组织机构ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断代码", required = true)
    @NotBlank(message = "医院诊断代码不能为空")
    private String code;

    @ApiModelProperty(value = "医院诊断名称", required = true)
    @NotBlank(message = "医院诊断名称不能为空")
    private String name;

    @ApiModelProperty(value = "ICD-10编码", required = true)
    @NotBlank(message = "ICD-10编码不能为空")
    private String icd10;

}