package com.lantone.daqe.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 医院诊断标准词匹配信息导入-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "医院诊断标准词匹配信息导入-接口入参")
@Getter
@Setter
@ExcelTarget("ImportDiseaseVO")
public class ImportDiseaseVO implements Serializable {

    private static final long serialVersionUID = 7588817856658194153L;

    @Excel(name = "医院诊断名称")
    private String name;

    @Excel(name = "ICD-10编码")
    private String icd10;

    @Excel(name = "标准诊断名称")
    private String standard;

    @Excel(name = "是否匹配【未匹配、已匹配】")
    private String isMapping;

    @Excel(name = "数据来源【不填、标准词、同义词、编码、历史数据、相似词】")
    private String synonym;

    @Excel(name = "标准术语状态")
    private String status;

}