package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description:匹配手术信息-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@ApiModel(value = "匹配手术信息-接口入参")
@Getter
@Setter
public class MatchingOperationVO implements Serializable {
    private static final long serialVersionUID = -1191653962318238387L;

    @ApiModelProperty(value = "医院手术/操作名称ID", required = true)
    @NotNull(message = "医院手术/操作名称ID不能为空")
    private Long id;

    @ApiModelProperty(value = "手术和操作代码", required = true)
    @NotBlank(message = "手术和操作代码不能为空")
    private String code;

    @ApiModelProperty(value = "标准手术/操作名称")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

}
