package com.lantone.external.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取丢失的住院病历信息-接口入参
 * @author: rengb
 * @time: 2022/3/16 16:28
 */
@ApiModel(value = "获取丢失的住院病历信息-接口入参")
@Getter
@Setter
public class GetLostBehospitalVO implements Serializable {

    private static final long serialVersionUID = -345554179620072672L;

    @ApiModelProperty(value = "入院起始时间", required = true)
    @NotNull(message = "入院起始时间不能为空")
    private Date behospitalStartDate;

    @ApiModelProperty(value = "入院截止时间", required = true)
    @NotNull(message = "入院截止时间不能为空")
    private Date behospitalEndDate;

}