package com.lantone.external.vo.client;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 第三方数据入库服务远程调用-丢失的住院病历信息入库-接口入参
 * @author: rengb
 * @time: 2022/3/16 16:28
 */
@ApiModel(value = "第三方数据入库服务远程调用-丢失的住院病历信息入库-接口入参")
@Getter
@Setter
public class AddLostBehospitalVO implements Serializable {

    private static final long serialVersionUID = -345554179620072672L;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别（男，女）
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 档案号
     */
    @TableField("file_code")
    private String fileCode;

    /**
     * 病区编码
     */
    private String wardCode;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 住院科室ID
     */
    private String behDeptId;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 床位号
     */
    private String bedCode;

    /**
     * 床位名称
     */
    private String bedName;

    /**
     * 医保类别
     */
    @TableField("insurance_name")
    private String insuranceName;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 转入时间
     */
    private Date transInTime;

    /**
     * 转出时间
     */
    private Date transOutTime;

    /**
     * 疾病ICD编码
     */
    private String diagnoseIcd;

    /**
     * 疾病名称
     */
    private String diagnose;

    /**
     * 主治医生ID
     */
    private String doctorId;

    /**
     * 主治医生姓名
     */
    private String doctorName;

    /**
     * 住院医生ID
     */
    private String behDoctorId;

    /**
     * 住院医生姓名
     */
    private String behDoctorName;

    /**
     * 主任医生ID
     */
    private String directorDoctorId;

    /**
     * 主任医生姓名
     */
    private String directorDoctorName;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile;

    /**
     * 归档时间
     */
    private Date placefileDate;

}