package com.lantone.client;

import com.diagbot.dto.RespDTO;
import com.lantone.dto.med.IndexBatchDTO;
import com.lantone.dto.med.KllisDetailDTO;
import com.lantone.dto.med.RetrievalDTO;
import com.lantone.vo.cdss.RetrievalVO;
import com.lantone.vo.med.ConceptVO;
import com.lantone.vo.med.FilterVO;
import com.lantone.vo.med.IndexByApprovalVO;
import com.lantone.vo.med.KllisDetailVO;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

//import com.lantone.dto.ConceptScaleDTO;

/**
 * @Description: CDSS核心类客户端
 * @author: gaodm
 * @time: 2020/7/28 9:29
 */
public interface CdssCoreClient {

    /**
     * 国药准字匹配
     *
     * @param indexByApprovalVO
     * @return
     */
    RespDTO<List<IndexBatchDTO>> indexByApproval(IndexByApprovalVO indexByApprovalVO);


    /**
     * 术语关联医学术语检索
     *
     * @param filterVO
     * @return
     */
    RespDTO<List<IndexBatchDTO>> filter(FilterVO filterVO);

    /**
     * 术语批量校验
     *
     * @param conceptVO
     * @return
     */
    RespDTO<List<IndexBatchDTO>> getConceptNames(ConceptVO conceptVO);


    /**
     * 化验小项术语批量查询获取范围
     *
     * @param kllisDetailVO
     * @return
     */
    RespDTO<Map<String, KllisDetailDTO>> getLisDetaisByNames(KllisDetailVO kllisDetailVO);

    /**
     * 化验大项、化验小项、辅检、诊断、药品、手术等检索
     *
     * @param retrievalVO
     * @return
     */
    RespDTO<RetrievalDTO> index(@RequestBody @Valid RetrievalVO retrievalVO);

}