package com.lantone.report.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 审核记录
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetAppealReviewVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "审核人id",hidden = true)
    private Long appealId;

    @ApiModelProperty(value = "医院id",hidden = true)
    private Long hospitalId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "申述开始时间", required = true)
    private Date complaintDateStart;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "申述结束时间", required = true)
    private Date complaintDateEnd;

    @ApiModelProperty(value = "所属科室")
    private String deptName;

    @ApiModelProperty(value = "申述模块")
    private String modeName;

    @ApiModelProperty(value = "申诉人")
    private String name;

    @ApiModelProperty(value = "操作类型")
    private String operationType;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "是否已归档（0：未归档，1：已归档）")
    private String isPlacefile;

    @ApiModelProperty(value = "病案号")
    private String fileCode;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

}
