package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.security.dto.GetDataAuthDeptDTO;
import com.lantone.security.dto.GetDataAuthDoctorDTO;
import com.lantone.security.dto.GetDeptInfoDTO;
import com.lantone.security.dto.GetDeptTreeDTO;
import com.lantone.security.vo.GetHospitalListInfoVO;
import com.lantone.security.entity.Dept;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_dept Mapper接口
 * </p>
 */
public interface DeptMapper extends BaseMapper<Dept> {

    List<GetDeptTreeDTO> getDeptInfo(@Param("hospitalId") long hospitalId);

    List<GetDeptInfoDTO> getDeptRegion(@Param("getHospitalListInfoVO") GetHospitalListInfoVO getHospitalListInfoVO);

    List<GetDataAuthDeptDTO> getDepts(@Param("deptIds")List<Long> ids);

    List<GetDataAuthDoctorDTO> getDoctors(@Param("doctorIds")List<Long> ids);
}