package com.lantone.security.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @Description: 医疗组目录列表-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "医疗组目录列表-接口入参")
@Getter
@Setter
public class GetMedoupPageVO implements Serializable {

    private static final long serialVersionUID = 2910025758966361980L;

    @ApiModelProperty(value = "医疗组ID")
    @NotBlank(message = "医疗组ID不能为空")
    @Size(min = 0, max = 30, message = ("医疗组ID长度1-30"))
    private Long id;

    @ApiModelProperty(value = "正则式值", required = true)
    @NotBlank(message = "正则式值不能为空")
    private String val;

    @ApiModelProperty(value = "描述")
    @Size(min = 0, max = 200, message = ("说明长度1-30"))
    private String description;

}