package com.lantone.security.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;


/**
 * <p>
 * 病区表
 * </p>
 */
@Data
 public class SaveRegionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "医院ID",hidden = true)
    private Long hospitalId;

   @ApiModelProperty(value = "用户ID",hidden = true)
   private Long userId;

    @ApiModelProperty(value = "医院名称",required = true)
    @NotBlank(message = "医院名称不能为空")
    private String hospitalName;

    @ApiModelProperty(value = "联系人")
    private String liaison;

    @ApiModelProperty(value = "手机号码")
    private String phoneNumber;

    @ApiModelProperty(value = "病区编码")
    private String code;

    @ApiModelProperty(value = "病区名称",required = true)
    @NotBlank(message = "病区名称不能为空")
    private String name;

    @ApiModelProperty(value = "首字母拼音")
    private String spell;

    @ApiModelProperty(value = "区域类别",required = true)
    @NotBlank(message = "区域类别不能为空")
    private String station;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "启用状态 0-否 1-是")
    private Integer status;
}
