package com.lantone.tran.web;

import com.lantone.common.api.CommonResult;
import com.lantone.tran.dto.AddLostBehospitalDTO;
import com.lantone.tran.facade.BehospitalManagementFacade;
import com.lantone.tran.vo.AddLostBehospitalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 住院病历信息入库简单示例API
 * @author: rengb
 * @time: 2022/3/16 16:28
 */
@RestController
@Api(value = "住院病历信息入库简单示例API", tags = { "住院病历信息入库简单示例API" })
@RequestMapping("/behospitalManage")
public class BehospitalManagementController {

    @Autowired
    private BehospitalManagementFacade behospitalManagementFacade;

    @ApiOperation(value = "丢失的住院病历信息入库 [by:rengb]", notes = "丢失的住院病历信息入库")
    @PostMapping("/addLostBehospital")
    public CommonResult<AddLostBehospitalDTO> addLostBehospital(@RequestBody List<AddLostBehospitalVO> addLostBehospitalVOList) {
        return CommonResult.success(behospitalManagementFacade.addLostBehospital(addLostBehospitalVOList));
    }

}